Package com.mockobjects.jms

# Class MockMessagePublisher

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessagePublisher

All Implemented Interfaces:
  `Verifiable`

Direct Known Subclasses:
  `MockTopicPublisher`

public class MockMessagePublisher extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockMessagePublisher()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getDeliveryMode()`
`boolean`
`getDisableMessageID()`
`boolean`
`getDisableMessageTimestamp()`
`int`
`getPriority()`
`long`
`getTimeToLive()`
`void`
`setDeliveryMode(int deliveryMode)`
`void`
`setDisableMessageID(boolean disableMessageId)`
`void`
`setDisableMessageTimestamp(boolean disableMessageTimeStamp)`
`void`
`setPriority(int priority)`
`void`
`setTimeToLive(long timeToLive)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockMessagePublisher

public MockMessagePublisher()

## Method Details

### close

public void close() throws JMSException

Throws:
  `JMSException`

### getDeliveryMode

public int getDeliveryMode() throws JMSException

Throws:
  `JMSException`

### getDisableMessageID

public boolean getDisableMessageID() throws JMSException

Throws:
  `JMSException`

### getDisableMessageTimestamp

public boolean getDisableMessageTimestamp() throws JMSException

Throws:
  `JMSException`

### getPriority

public int getPriority() throws JMSException

Throws:
  `JMSException`

### getTimeToLive

public long getTimeToLive() throws JMSException

Throws:
  `JMSException`

### setDeliveryMode

public void setDeliveryMode(int deliveryMode) throws JMSException

Throws:
  `JMSException`

### setDisableMessageID

public void setDisableMessageID(boolean disableMessageId) throws JMSException

Throws:
  `JMSException`

### setDisableMessageTimestamp

public void setDisableMessageTimestamp(boolean disableMessageTimeStamp) throws JMSException

Throws:
  `JMSException`

### setPriority

public void setPriority(int priority) throws JMSException

Throws:
  `JMSException`

### setTimeToLive

public void setTimeToLive(long timeToLive) throws JMSException

Throws:
  `JMSException`